connections_partial_update
const url = 'https://example.com/api/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"name":"example","private_params":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --data '{ "name": "example", "private_params": { "additionalProperty": "example" } }'Rename the connection item or update the user’s private parameters.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”A UUID string identifying this connection.
Header Parameters
Section titled “Header Parameters”Workspace ID
Request Body
Section titled “Request Body”Document the request body for updating a connection.
object
New name of the connection. Only workspace owners may rename it.
object
Example generated
{ "name": "example", "private_params": { "additionalProperty": "example" }}Document the request body for updating a connection.
object
New name of the connection. Only workspace owners may rename it.
object
Example generated
name=example&additionalProperty=exampleDocument the request body for updating a connection.
object
New name of the connection. Only workspace owners may rename it.
object
Responses
Section titled “Responses”Serializer for handling connection-related data.
object
Serializer for handling connection-related data.
object
Return serialized data for a plugin object based on the plugin class.
Parameters
obj : Connection The object containing information about a plugin.
Returns
dict
An instance of the PluginSerializer class with the plugin
class obtained from get_plugin_class(obj.plugin)
and the context set to include the request from self.context.
object
Return the interactor information of the object’s creator.
Parameters
obj : Connection The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return the last edited time of an object’s credential for the current user.
Return the status of a credential object associated with a user.
Parameters
obj : Connection The object containing information related to the credential.
Returns
str A string representing the status of the credential. Returns “not_connected” if no credential is found or an empty string in case of an exception.
Return the current tasks for the current connection.
Determine whether the connection is a sandbox one.
Parameters
obj : Connection The object containing the plugin and shared parameters.
Returns
bool True if the connection uses a sandbox URL, False otherwise.
Example generated
{ "plugin": "example", "shared_params": [ { "key": "example", "value": "example" } ], "workspace": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}object
object
Example
{ "code": "plugin_error", "message": "An error occurred in the plugin. Check the `details` property for more details.", "details": [ { "parameter": "plugin", "message": "Custom message from the plugin", "code": "authentication_failed" } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "name", "message": "Only workspace owners can rename a connection.", "code": "permission_denied" } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
